Description: Set log_name for Swift services in default configs
Author: Ondřej Nový <novy@ondrej.org>
Forwarded: not-needed
Last-Update: 2016-07-05

Index: swift/etc/account-server.conf-sample
===================================================================
--- swift.orig/etc/account-server.conf-sample
+++ swift/etc/account-server.conf-sample
@@ -18,7 +18,7 @@ bind_port = 6202
 # max_clients = 1024
 #
 # You can specify default log routing here if you want:
-# log_name = swift
+log_name = swift-account
 # log_facility = LOG_LOCAL0
 # log_level = INFO
 # log_address = /dev/log
@@ -85,7 +85,7 @@ pipeline = healthcheck recon backend_rat
 [app:account-server]
 use = egg:swift#account
 # You can override the default log routing for this app here:
-# set log_name = account-server
+set log_name = swift-account-server
 # set log_facility = LOG_LOCAL0
 # set log_level = INFO
 # set log_requests = true
@@ -144,7 +144,7 @@ use = egg:swift#backend_ratelimit
 
 [account-replicator]
 # You can override the default log routing for this app here (don't use set!):
-# log_name = account-replicator
+log_name = swift-account-replicator
 # log_facility = LOG_LOCAL0
 # log_level = INFO
 # log_address = /dev/log
@@ -231,7 +231,7 @@ use = egg:swift#backend_ratelimit
 
 [account-auditor]
 # You can override the default log routing for this app here (don't use set!):
-# log_name = account-auditor
+log_name = swift-account-auditor
 # log_facility = LOG_LOCAL0
 # log_level = INFO
 # log_address = /dev/log
@@ -256,7 +256,7 @@ use = egg:swift#backend_ratelimit
 
 [account-reaper]
 # You can override the default log routing for this app here (don't use set!):
-# log_name = account-reaper
+log_name = swift-account-reaper
 # log_facility = LOG_LOCAL0
 # log_level = INFO
 # log_address = /dev/log
Index: swift/etc/container-reconciler.conf-sample
===================================================================
--- swift.orig/etc/container-reconciler.conf-sample
+++ swift/etc/container-reconciler.conf-sample
@@ -3,7 +3,7 @@
 # user = swift
 # ring_check_interval = 15.0
 # You can specify default log routing here if you want:
-# log_name = swift
+log_name = swift-container-reconciler
 # log_facility = LOG_LOCAL0
 # log_level = INFO
 # log_address = /dev/log
Index: swift/etc/container-server.conf-sample
===================================================================
--- swift.orig/etc/container-server.conf-sample
+++ swift/etc/container-server.conf-sample
@@ -24,7 +24,7 @@ bind_port = 6201
 # allowed_sync_hosts = 127.0.0.1
 #
 # You can specify default log routing here if you want:
-# log_name = swift
+log_name = swift-container
 # log_facility = LOG_LOCAL0
 # log_level = INFO
 # log_address = /dev/log
@@ -91,7 +91,7 @@ pipeline = healthcheck recon backend_rat
 [app:container-server]
 use = egg:swift#container
 # You can override the default log routing for this app here:
-# set log_name = container-server
+set log_name = swift-container-server
 # set log_facility = LOG_LOCAL0
 # set log_level = INFO
 # set log_requests = true
@@ -154,7 +154,7 @@ use = egg:swift#backend_ratelimit
 
 [container-replicator]
 # You can override the default log routing for this app here (don't use set!):
-# log_name = container-replicator
+log_name = swift-container-replicator
 # log_facility = LOG_LOCAL0
 # log_level = INFO
 # log_address = /dev/log
@@ -241,7 +241,7 @@ use = egg:swift#backend_ratelimit
 
 [container-updater]
 # You can override the default log routing for this app here (don't use set!):
-# log_name = container-updater
+log_name = swift-container-updater
 # log_facility = LOG_LOCAL0
 # log_level = INFO
 # log_address = /dev/log
@@ -277,7 +277,7 @@ use = egg:swift#backend_ratelimit
 
 [container-auditor]
 # You can override the default log routing for this app here (don't use set!):
-# log_name = container-auditor
+log_name = swift-container-auditor
 # log_facility = LOG_LOCAL0
 # log_level = INFO
 # log_address = /dev/log
@@ -302,7 +302,7 @@ use = egg:swift#backend_ratelimit
 
 [container-sync]
 # You can override the default log routing for this app here (don't use set!):
-# log_name = container-sync
+log_name = swift-container-sync
 # log_facility = LOG_LOCAL0
 # log_level = INFO
 # log_address = /dev/log
@@ -373,7 +373,7 @@ use = egg:swift#xprofile
 
 [container-sharder]
 # You can override the default log routing for this app here (don't use set!):
-# log_name = container-sharder
+log_name = swift-container-sharder
 # log_facility = LOG_LOCAL0
 # log_level = INFO
 # log_address = /dev/log
Index: swift/etc/drive-audit.conf-sample
===================================================================
--- swift.orig/etc/drive-audit.conf-sample
+++ swift/etc/drive-audit.conf-sample
@@ -5,7 +5,7 @@
 # device_dir = /srv/node
 #
 # You can specify default log routing here if you want:
-# log_name = drive-audit
+log_name = swift-drive-audit
 # log_facility = LOG_LOCAL0
 # log_level = INFO
 # log_address = /dev/log
Index: swift/etc/internal-client.conf-sample
===================================================================
--- swift.orig/etc/internal-client.conf-sample
+++ swift/etc/internal-client.conf-sample
@@ -4,7 +4,7 @@
 # You can specify default log routing here if you want:
 # Note: the 'set' syntax is necessary to override the log_name that some
 # daemons specify when instantiating an internal client.
-# set log_name = swift
+set log_name = swift-internal-client
 # log_facility = LOG_LOCAL0
 # log_level = INFO
 # log_address = /dev/log
Index: swift/etc/object-server.conf-sample
===================================================================
--- swift.orig/etc/object-server.conf-sample
+++ swift/etc/object-server.conf-sample
@@ -32,7 +32,7 @@ bind_port = 6200
 # max_clients = 1024
 #
 # You can specify default log routing here if you want:
-# log_name = swift
+log_name = swift-object
 # log_facility = LOG_LOCAL0
 # log_level = INFO
 # log_address = /dev/log
@@ -122,7 +122,7 @@ pipeline = healthcheck recon backend_rat
 [app:object-server]
 use = egg:swift#object
 # You can override the default log routing for this app here:
-# set log_name = object-server
+set log_name = swift-object-server
 # set log_facility = LOG_LOCAL0
 # set log_level = INFO
 # set log_requests = true
@@ -264,7 +264,7 @@ use = egg:swift#backend_ratelimit
 
 [object-replicator]
 # You can override the default log routing for this app here (don't use set!):
-# log_name = object-replicator
+log_name = swift-object-replicator
 # log_facility = LOG_LOCAL0
 # log_level = INFO
 # log_address = /dev/log
@@ -371,7 +371,7 @@ use = egg:swift#backend_ratelimit
 # in the [object-replicator] section, however these settings apply to the EC
 # reconstructor
 #
-# log_name = object-reconstructor
+log_name = swift-object-reconstructor
 # log_facility = LOG_LOCAL0
 # log_level = INFO
 # log_address = /dev/log
@@ -493,7 +493,7 @@ use = egg:swift#backend_ratelimit
 
 [object-updater]
 # You can override the default log routing for this app here (don't use set!):
-# log_name = object-updater
+log_name = swift-object-updater
 # log_facility = LOG_LOCAL0
 # log_level = INFO
 # log_address = /dev/log
@@ -554,7 +554,7 @@ use = egg:swift#backend_ratelimit
 
 [object-auditor]
 # You can override the default log routing for this app here (don't use set!):
-# log_name = object-auditor
+log_name = swift-object-auditor
 # log_facility = LOG_LOCAL0
 # log_level = INFO
 # log_address = /dev/log
@@ -656,7 +656,7 @@ use = egg:swift#backend_ratelimit
 # internal_client_conf_path = /etc/swift/internal-client.conf
 #
 # You can override the default log routing for this app here (don't use set!):
-# log_name = object-expirer
+log_name = swift-object-expirer
 # log_facility = LOG_LOCAL0
 # log_level = INFO
 # log_address = /dev/log
@@ -751,7 +751,7 @@ use = egg:swift#xprofile
 
 [object-relinker]
 # You can override the default log routing for this app here (don't use set!):
-# log_name = object-relinker
+log_name = swift-object-relinker
 # log_facility = LOG_LOCAL0
 # log_level = INFO
 # log_address = /dev/log
Index: swift/etc/proxy-server.conf-sample
===================================================================
--- swift.orig/etc/proxy-server.conf-sample
+++ swift/etc/proxy-server.conf-sample
@@ -41,7 +41,7 @@ bind_port = 8080
 # expiring_objects_account_name = expiring_objects
 #
 # You can specify default log routing here if you want:
-# log_name = swift
+log_name = swift-proxy
 # log_facility = LOG_LOCAL0
 # log_level = INFO
 # log_headers = false
@@ -122,7 +122,7 @@ pipeline = catch_errors gatekeeper healt
 [app:proxy-server]
 use = egg:swift#proxy
 # You can override the default log routing for this app here:
-# set log_name = proxy-server
+set log_name = swift-proxy-server
 # set log_facility = LOG_LOCAL0
 # set log_level = INFO
 # set log_address = /dev/log
@@ -368,7 +368,7 @@ use = egg:swift#proxy
 [filter:tempauth]
 use = egg:swift#tempauth
 # You can override the default log routing for this filter here:
-# set log_name = tempauth
+set log_name = swift-proxy-tempauth
 # set log_facility = LOG_LOCAL0
 # set log_level = INFO
 # set log_headers = false
@@ -676,7 +676,7 @@ use = egg:swift#s3api
 # ratelimit_as_client_error = false
 
 # You can override the default log routing for this filter here:
-# log_name = s3api
+log_name = swift-s3api
 
 [filter:s3token]
 # s3token middleware authenticates with keystone using the s3 credentials
@@ -716,7 +716,7 @@ http_timeout = 10.0
 # keyfile =
 
 # You can override the default log routing for this filter here:
-# log_name = s3token
+log_name = swift-s3token
 
 # Secrets may be cached to reduce latency for the client and load on Keystone.
 # Set this to some number of seconds greater than zero to enable caching.
@@ -744,7 +744,7 @@ use = egg:swift#healthcheck
 [filter:cache]
 use = egg:swift#memcache
 # You can override the default log routing for this filter here:
-# set log_name = cache
+set log_name = swift-proxy-cache
 # set log_facility = LOG_LOCAL0
 # set log_level = INFO
 # set log_headers = false
@@ -777,7 +777,7 @@ use = egg:swift#memcache
 [filter:ratelimit]
 use = egg:swift#ratelimit
 # You can override the default log routing for this filter here:
-# set log_name = ratelimit
+set log_name = swift-proxy-ratelimit
 # set log_facility = LOG_LOCAL0
 # set log_level = INFO
 # set log_headers = false
@@ -834,7 +834,7 @@ use = egg:swift#read_only
 [filter:domain_remap]
 use = egg:swift#domain_remap
 # You can override the default log routing for this filter here:
-# set log_name = domain_remap
+set log_name = swift-proxy-domain_remap
 # set log_facility = LOG_LOCAL0
 # set log_level = INFO
 # set log_headers = false
@@ -869,7 +869,7 @@ use = egg:swift#domain_remap
 [filter:catch_errors]
 use = egg:swift#catch_errors
 # You can override the default log routing for this filter here:
-# set log_name = catch_errors
+set log_name = swift-proxy-catch_errors
 # set log_facility = LOG_LOCAL0
 # set log_level = INFO
 # set log_headers = false
@@ -879,7 +879,7 @@ use = egg:swift#catch_errors
 # Note: this middleware requires python-dnspython
 use = egg:swift#cname_lookup
 # You can override the default log routing for this filter here:
-# set log_name = cname_lookup
+set log_name = swift-proxy-cname_lookup
 # set log_facility = LOG_LOCAL0
 # set log_level = INFO
 # set log_headers = false
@@ -901,7 +901,7 @@ use = egg:swift#cname_lookup
 [filter:staticweb]
 use = egg:swift#staticweb
 # You can override the default log routing for this filter here:
-# set log_name = staticweb
+set log_name = swift-proxy-staticweb
 # set log_facility = LOG_LOCAL0
 # set log_level = INFO
 # set log_headers = false
@@ -988,7 +988,7 @@ use = egg:swift#list_endpoints
 [filter:proxy-logging]
 use = egg:swift#proxy_logging
 # If not set, logging directives from [DEFAULT] without "access_" will be used
-# access_log_name = swift
+access_log_name = swift-proxy-proxy-logging
 # access_log_facility = LOG_LOCAL0
 # access_log_level = INFO
 # access_log_address = /dev/log
@@ -1150,7 +1150,7 @@ use = egg:swift#gatekeeper
 # allow_reserved_names_header = false
 #
 # You can override the default log routing for this filter here:
-# set log_name = gatekeeper
+set log_name = swift-proxy-gatekeeper
 # set log_facility = LOG_LOCAL0
 # set log_level = INFO
 # set log_headers = false
